Release 9.5.0

Enhancements

  • New free SwiftMQ AMQP Router distribution. Supports AMQP 1.0 and 0.9.1. More ...
  • SwiftMQ Explorer can now connect over AMQP 1.0. More ...
  • CLI can now connect over AMQP 1.0. More ...

Changes

  • Replicator Swiftlet: Now supports username/password authentication on the internal intravm connection.

Bugfixes

  • Management Swiftlet: Unable to send management tree to SwiftMQ Explorer (concurrency issue).
  • AMQP 1.0 Client: After specifying a wrong user/password the Connection.connect(...) method throws an AuthenticationException with "Connectiion was asynchronously closed" instead of the SASLOutcome code.

Compatibility

  • Configuration compatible with previous releases: 4.5.0 (routerconfig.xml will be converted on the first startup)
  • Class compatible with previous releases: 5.1.0 (see release notes of release 5.1.0).
  • Message compatible with previous releases: 4.0.0
  • Store compatible with previous releases: 4.0.0
  • Protocol compatible with previous releases: 4.0.0

How to Upgrade

SwiftMQ 9.5.0 defines two AMQP listeners on port 5672 (plain) and 5671 (SSL/TLS) to be able to run AMQP out of the box. They will also be added as part of the rolling upgrade process as specified on the links below. If you don't need these listeners, you may either delete them *after* the upgrade or use the "NOAMQP" option on the new release *during* the upgrade on the first start of the router start script of the new release, e.g:

        ./smqr1 NOAMQP

or

        ./smqr1_replicated NOAMQP

The option work on HA and non-HA releases but only on the very first start where the config files will be upgraded.